Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225517 - kernel-doc contains iso-8859-1 encoded files
Summary: kernel-doc contains iso-8859-1 encoded files
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 01:39 UTC by Till Maas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 21:53:07 UTC


Attachments (Terms of Use)

Description Till Maas 2007-01-31 01:39:12 UTC
kernel-doc contains a lot of not utf-8 encoded files, e.g. iso-8859-1 encoded
files. Here is a not complete list:

$ file /usr/share/doc/kernel-doc-*/Documentation/{*,*/*}  | grep ISO
/usr/share/doc/kernel-doc-2.6.19/Documentation/binfmt_misc.txt:                
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/java.txt:                       
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/kernel-docs.txt:                
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/pcieaer-howto.txt:              
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/sonypi.txt:                     
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/crypto/api-intro.txt:           
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/dvb/contributors.txt:           
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/dvb/README.dvb-usb:             
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/fb/framebuffer.txt:             
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/fb/sstfb.txt:                   
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/hwmon/adm1026:                  
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/hwmon/gl518sm:                  
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/hwmon/lm83:                     
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/hwmon/sis5595:                  
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/hwmon/via686a:                  
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/hwmon/w83792d:                  
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/i2c/i2c-protocol:               
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/i2o/README:                     
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/isdn/CREDITS:                   
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/isdn/README:                    
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/isdn/README.icn:                
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/m68k/README.buddha:             
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/networking/6pack.txt:           
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/networking/e1000.txt:           
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/networking/packet_mmap.txt:     
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/networking/slicecom.hun:        
                ISO-8859 C++ program text
/usr/share/doc/kernel-doc-2.6.19/Documentation/networking/slicecom.txt:        
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/networking/tms380tr.txt:        
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/power/swsusp.txt:               
                Non-ISO extended-ASCII English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/s390/Debugging390.txt:          
                Non-ISO extended-ASCII English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/scsi/aha152x.txt:               
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/scsi/st.txt:                    
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/scsi/tmscsim.txt:               
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/usb/CREDITS:                    
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/usb/usb-serial.txt:             
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/video4linux/meye.txt:           
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/video4linux/ov511.txt:          
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/video4linux/README.pvrusb2:     
                ISO-8859 English text
/usr/share/doc/kernel-doc-2.6.19/Documentation/video4linux/Zoran:              
                ISO-8859 English text
dvb/README.dvb-usb:                              ISO-8859 English text
fb/framebuffer.txt:                              ISO-8859 English text
fb/sstfb.txt:                                    ISO-8859 English text
hwmon/adm1026:                                   ISO-8859 English text
hwmon/gl518sm:                                   ISO-8859 English text
hwmon/lm83:                                      ISO-8859 English text
hwmon/sis5595:                                   ISO-8859 English text
hwmon/via686a:                                   ISO-8859 English text
hwmon/w83792d:                                   ISO-8859 English text
i2c/i2c-protocol:                                ISO-8859 English text
i2o/README:                                      ISO-8859 English text
isdn/CREDITS:                                    ISO-8859 English text
isdn/README:                                     ISO-8859 English text
isdn/README.icn:                                 ISO-8859 English text
m68k/README.buddha:                              ISO-8859 English text
networking/6pack.txt:                            ISO-8859 English text
networking/e1000.txt:                            ISO-8859 English text
networking/packet_mmap.txt:                      ISO-8859 English text
networking/slicecom.hun:                         ISO-8859 C++ program text
networking/slicecom.txt:                         ISO-8859 English text
networking/tms380tr.txt:                         ISO-8859 English text
power/swsusp.txt:                                Non-ISO extended-ASCII English text
s390/Debugging390.txt:                           Non-ISO extended-ASCII English text
scsi/aha152x.txt:                                ISO-8859 English text
scsi/st.txt:                                     ISO-8859 English text
scsi/tmscsim.txt:                                ISO-8859 English text
usb/CREDITS:                                     ISO-8859 English text
usb/usb-serial.txt:                              ISO-8859 English text
video4linux/meye.txt:                            ISO-8859 English text
video4linux/ov511.txt:                           ISO-8859 English text
video4linux/README.pvrusb2:                      ISO-8859 English text
video4linux/Zoran:                               ISO-8859 English text

Comment 1 Dave Jones 2007-02-03 20:55:17 UTC
they don't contain any characters that can't be represented by iso8859 afaics,
so why is this a problem ?


Comment 2 Till Maas 2007-02-04 12:00:01 UTC
The default encoding in Fedora is UTF-8, so when one views one of the non UTF-8
encoded files with less, the non ascii characters are not displayed correctly.

Comment 3 Dave Jones 2007-03-19 21:53:07 UTC
Feel free to send a series of patches to linux-kernel@vger.kernel.org



Note You need to log in before you can comment on or make changes to this bug.